> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# mailtemplate

> List provider for the Mailtemplates.

## "mailtemplate" MDO List

List provider for the Mailtemplates.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.MailTemplateProvider">MailTemplateProvider</see> class.
The name of the MDO list is 'mailtemplate'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/mailtemplate
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("mailtemplate", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                         | StyleHint | ExtraInfo |
| -- | ---------------------------- | --------- | --------- |
| -1 | mail.htm                     |           |           |
| 6  | E-post                       |           |           |
| 7  | E-post SV:                   |           |           |
| 8  | E-post VS:                   |           |           |
| 9  | Send dok.pr E-post           |           |           |
| 10 | Send dok.pr Faks             |           |           |
| 17 | Quote e-mail                 |           |           |
| 19 | Order confirmation e-mail    |           |           |
| 20 | Confirmation - Contact added |           |           |

## Related MDO Lists

* "mailtemplateheadings"
* "mailtemplateheadingswithallitem"
* "mailtemplateheadingswithallitemwithnoselection"
* "mailtemplateheadingswithnoselection"
* "mailtemplatewithallitem"
* "mailtemplatewithallitemwithnoselection"
* "mailtemplatewithnoselection"


## Related topics

- [SuperOffice.WebApi.Data.ConsentSource](/en/api/reference/webapi/SuperOffice.WebApi.Data.ConsentSource.md)
- [mailhtmltemplate](/en/api/mdo-providers/reference/mailhtmltemplate.md)
- [ConsentSource table](/en/database/tables/consentsource.md)
- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
